Bug 165516 - [patch] calendar(1) for Austria for Ash Wednesday wrong by a week.
Summary: [patch] calendar(1) for Austria for Ash Wednesday wrong by a week.
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 8.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-28 01:50 UTC by jhs
Modified: 2019-02-11 08:56 UTC (History)
2 users (show)

See Also:


Attachments
patch.txt (391 bytes, text/plain)
2014-03-03 19:38 UTC, oliver
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jhs 2012-02-28 01:50:07 UTC
	The calendar for Austria for Ash Wednesday is wrong, off by a week.
	(& that's of more than mere religious importance, as lots of
	people take time off work to party & or go for fish meals etc, etc :-)

Fix: 

see explanation in
	http://berklix.com/~jhs/src/bsd/fixes/freebsd/src/gen/usr.bin/calendar/calendars/de_AT.ISO_8859-15/
	apply patch from there, 
	or delete
		02/WednesdayLast      Aschermittwoch
	& insert
		Easter-46             Aschermittwoch
How-To-Repeat: 	echo "#include <de_AT.ISO_8859-15/calendar.feiertag>" >> \
		 ~/.calendar/calendar
	calendar -t 28.02.2012
        	29 Feb* Aschermittwoch
Comment 1 oliver 2014-03-03 19:38:15 UTC
I can confirm that. Here is a patch for the austrian calendar file. it
fixes ash wednesday in the austrian version. 

with this patch applied the following correct next ash wednesday dates
are displayed:

Aschermittwoch am 05.03.2014
Aschermittwoch am 18.02.2015 
Aschermittwoch am 10.02.2016

the original version shows the following wrong dates
Aschermittwoch am 26.02.2014
Aschermittwoch am 25.02.2015
Aschermittwoch am 24.02.2016

greetings, oliver
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:31 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-29 19:55:06 UTC
Committed to the repo. Thanks for reporting and sorry it took so long.
Comment 4 commit-hook freebsd_committer 2019-01-29 19:55:24 UTC
A commit references this bug:

Author: gonzo
Date: Tue Jan 29 19:54:37 UTC 2019
New revision: 343560
URL: https://svnweb.freebsd.org/changeset/base/343560

Log:
  calendar(1): Fix Aschermittwoch date for Austrian calendar

  PR:		165516
  Submitted by:	jhs@berklix.com
  MFC after:	1 week

Changes:
  head/usr.bin/calendar/calendars/de_AT.ISO_8859-15/calendar.feiertag
Comment 5 commit-hook freebsd_committer 2019-02-11 08:56:25 UTC
A commit references this bug:

Author: gonzo
Date: Mon Feb 11 08:55:39 UTC 2019
New revision: 344001
URL: https://svnweb.freebsd.org/changeset/base/344001

Log:
  MFC r343560:

  calendar(1): Fix Aschermittwoch date for Austrian calendar

  PR:		165516
  Submitted by:	jhs@berklix.com

Changes:
_U  stable/12/
  stable/12/usr.bin/calendar/calendars/de_AT.ISO_8859-15/calendar.feiertag